RobynM
Level 2: Rookie

Mobile Broadband Device

I can’t get my mobile broadband device to connect with my new iPad 4 or my Mac. When it asks for password and I enter it, it says incorrect password. Help.

Was this helpful?

  • Yes it was, thank you
  • No, I still need help
7 REPLIES 7
Level 21: Augmented
Level 21: Augmented

Re: Mobile Broadband Device


@RobynM wrote:
I can’t get my mobile broadband device to connect with my new iPad 4 or my Mac. When it asks for password and I enter it, it says incorrect password. Help.

@RobynM I'm an android man, but I would double check uppercase versus lowercase, and 'O's and '0' (zero's).

Mmmmm... hot pineapple donut and a coffee!
RobynM
Level 2: Rookie

Re: Mobile Broadband Device

It’s not the case sensitive thing thanks. Telstra blaming Apple!
Level 21: Augmented
Level 21: Augmented

Re: Mobile Broadband Device


@RobynM wrote:
It’s not the case sensitive thing thanks. Telstra blaming Apple!

@RobynM In what way?

Mmmmm... hot pineapple donut and a coffee!
RobynM
Level 2: Rookie

Re: Mobile Broadband Device

Apple says the device may not work with the latest iOS versions. The Apple devices all connect to other free wifi whilst I’m travelling so it can’t be the fault with the iPad or Mac. When I get near to a Telstra store I’ll take all the devices in.
Level 21: Augmented
Level 21: Augmented

Re: Mobile Broadband Device


@RobynM wrote:
Apple says the device may not work with the latest iOS versions. The Apple devices all connect to other free wifi whilst I’m travelling so it can’t be the fault with the iPad or Mac. When I get near to a Telstra store I’ll take all the devices in.

@RobynM Can you just confirm what device you are having issue with (Model #) and your iOS version.

 

Will see if we can get the info relayed on to the right people for testing.

Mmmmm... hot pineapple donut and a coffee!
RobynM
Level 2: Rookie

Re: Mobile Broadband Device

My iPhone 6 has iOS 12.1.4. Don’t have my iPad with me currently but it’ll have the latest version as it’s new. It’s an iPad mini 4. Thanks for offering to help.
Level 21: Augmented
Level 21: Augmented

Re: Mobile Broadband Device


@RobynM wrote:
My iPhone 6 has iOS 12.1.4. Don’t have my iPad with me currently but it’ll have the latest version as it’s new. It’s an iPad mini 4. Thanks for offering to help.

@RobynM What mobile device are you trying to use with them?

Mmmmm... hot pineapple donut and a coffee!

Telstra 24x7®

Take care of your Telstra services in one place with the Telstra 24x7® App for iOS

Download now
Find out more about the Telstra 24x7 App ×
Manage your services and take advantage of offers while you’re out and about with the Telstra 24x7® App Download now
Earn points on our new rewards program and enjoy tier benefits like discounted movie tickets and moreFind out more

Need a hand or want to share your expertise?
Register for CrowdSupport and get involved

Register now